Change log for odb-api package in Ubuntu

125 of 25 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-03-11
Deleted in disco-proposed (Reason: moved to release)
odb-api (0.18.1-5) unstable; urgency=medium

  * Fix broken symlinks. Closes: #924162

 -- Alastair McKinstry <email address hidden>  Sun, 10 Mar 2019 09:18:57 +0000

Available diffs

Superseded in disco-release on 2019-03-11
Deleted in disco-proposed on 2019-03-12 (Reason: moved to release)
odb-api (0.18.1-4) unstable; urgency=medium

  * Typo in d/control depencencies. Closes: #918738

 -- Alastair McKinstry <email address hidden>  Wed, 09 Jan 2019 21:35:34 +0000

Available diffs

Superseded in disco-proposed on 2019-01-10
odb-api (0.18.1-3) unstable; urgency=medium

  * More sanitization of cmake scripts for reproducibility.
  * Don't ship odb_api-targets.cmake or  odb-targets.cmake in -dev package
    as the targets are mixed in -dev and -bin; magics++/metview build ok
    without them. Closes: #918554
  * Build with dh-fortran-mod >= 0.11 

 -- Alastair McKinstry <email address hidden>  Tue, 08 Jan 2019 06:27:57 +0000

Available diffs

Superseded in disco-release on 2019-01-10
Deleted in disco-proposed on 2019-01-11 (Reason: moved to release)
odb-api (0.18.1-2) unstable; urgency=medium

  * Add Conflicts: to libodb-api-dev on libodb-dev. (Unrelated, but both ship
    libodb.so). Closes: #917988.

 -- Alastair McKinstry <email address hidden>  Thu, 03 Jan 2019 12:12:28 +0000

Available diffs

Superseded in disco-release on 2019-01-04
Deleted in disco-proposed on 2019-01-05 (Reason: moved to release)
odb-api (0.18.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on fcm
  * Use dh-fortran-mod > 0.7, with ${Fortran-Mod}
  * Sanitize cmake scripts for reproducible builds (remove build paths)
  * No longer ship syslog-* binaries
  * More shared libs; add debian 0d versioning
  * Drop M-A: same for python3 package
  * Move all .so packages to -dev pkg; make -bin pkg depend on -dev
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <email address hidden>  Tue, 01 Jan 2019 12:25:12 +0000

Available diffs

Superseded in disco-release on 2019-01-01
Deleted in disco-proposed on 2019-01-03 (Reason: moved to release)
odb-api (0.18.0-7) unstable; urgency=medium

  * Drop hard-coded xz compression
  * Rebuild against libeccodes without memfs
  * Add BLAS to Build-Depends 
  * Change gfortran-8 -> gfortran
  * Delete accidental python2.7* stuff in py3 package

 -- Alastair McKinstry <email address hidden>  Thu, 22 Nov 2018 08:53:10 +0000

Available diffs

Superseded in disco-release on 2018-11-06
Deleted in disco-proposed on 2018-11-07 (Reason: moved to release)
odb-api (0.18.0-5build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <email address hidden>  Sat, 03 Nov 2018 16:34:51 +0000
Superseded in disco-release on 2018-11-24
Deleted in disco-proposed on 2018-11-25 (Reason: moved to release)
odb-api (0.18.0-6) unstable; urgency=medium

  * Standards-Version: 4.2.1
  * Undo hard-coded gfortran-8 now transition complete
  * Delete obsolete symlinks. Closes: #909616

 -- Alastair McKinstry <email address hidden>  Thu, 27 Sep 2018 12:25:08 +0100
Superseded in disco-release on 2018-11-03
Published in cosmic-release on 2018-07-27
Deleted in cosmic-proposed (Reason: moved to release)
odb-api (0.18.0-5) unstable; urgency=medium

  * Fix broken symlinks in /usr/bin. Closes: #904511
  * Update URLs in d/watch

 -- Alastair McKinstry <email address hidden>  Thu, 26 Jul 2018 12:14:04 +0100

Available diffs

Superseded in cosmic-release on 2018-07-27
Deleted in cosmic-proposed on 2018-07-28 (Reason: moved to release)
odb-api (0.18.0-4) unstable; urgency=medium

  * Add libc6-dev-mips32 build-dep for mips64el to fix FTBFS

 -- Alastair McKinstry <email address hidden>  Fri, 13 Jul 2018 21:09:27 +0100

Available diffs

Superseded in cosmic-release on 2018-07-14
Deleted in cosmic-proposed on 2018-07-16 (Reason: moved to release)
odb-api (0.18.0-3) unstable; urgency=medium

  * qtar conflicts with hxtools. Rename to ecmwf_qtar. Closes: #903445
  * rename qtar -> ecmwf_qtar in cmake files
  * Fix paths in odb-targets-release.cmake
  * Standards-Version: 4.1.5
  * Include statically linked libs
  * Add Depends: ${misc:Depends} to -data pkg

 -- Alastair McKinstry <email address hidden>  Fri, 13 Jul 2018 06:43:17 +0100

Available diffs

Superseded in cosmic-release on 2018-07-13
Deleted in cosmic-proposed on 2018-07-15 (Reason: moved to release)
odb-api (0.18.0-2) unstable; urgency=medium

  * Enable ODB, ODB_MPI (for metview)
  * Disable AIO on Hurd - can't find aio_suspend, etc.
  * Enable tests (ignore test failures for now)
  * Set OpenMPI oversuscribe on in d/rules for tests
  * Add libodb-api-data for shared ODB data

 -- Alastair McKinstry <email address hidden>  Wed, 04 Jul 2018 01:16:39 +0100

Available diffs

Superseded in cosmic-release on 2018-07-08
Deleted in cosmic-proposed on 2018-07-09 (Reason: moved to release)
odb-api (0.18.0-1) unstable; urgency=medium

  * New upstream release
    - Update py3-port.patch for python3.7
    - Build against python3.6, python3.7
    - refresh unique_ptr.patch
  * Remove obsolete patches:
    - swap_decl.patch
    - unsigned_long_on_32bit.patch
  * Add -DENABLE_ODB_API_SERVER_SIDE=ON
  * Enable OpenMP threading
  * Disable VIENNACL (Experimental)

 -- Alastair McKinstry <email address hidden>  Mon, 02 Jul 2018 17:26:55 +0100
Superseded in cosmic-proposed on 2018-07-02
odb-api (0.17.6-4build1) cosmic; urgency=medium

  * No-change rebuild for dune openmpi soname change.

 -- Matthias Klose <email address hidden>  Sun, 13 May 2018 17:02:12 +0000
Superseded in cosmic-release on 2018-07-06
Deleted in cosmic-proposed on 2018-07-08 (Reason: moved to release)
odb-api (0.17.6-4) unstable; urgency=medium

  * Build against gfortran-8.
  * Use dh-fortran-mod to capture fortran mod file version`

 -- Alastair McKinstry <email address hidden>  Tue, 08 May 2018 10:08:24 +0100

Available diffs

Superseded in cosmic-release on 2018-05-05
Deleted in cosmic-proposed on 2018-05-06 (Reason: moved to release)
odb-api (0.17.6-2build2) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <email address hidden>  Thu, 03 May 2018 14:17:36 +0000

Available diffs

Superseded in cosmic-release on 2018-05-08
Deleted in cosmic-proposed on 2018-05-10 (Reason: moved to release)
odb-api (0.17.6-3) unstable; urgency=medium

  * Standards-Version: 4.1.4; no changes required

 -- Alastair McKinstry <email address hidden>  Sun, 15 Apr 2018 07:37:14 +0100
Superseded in cosmic-release on 2018-05-04
Published in bionic-release on 2018-02-08
Deleted in bionic-proposed (Reason: moved to release)
odb-api (0.17.6-2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <email address hidden>  Mon, 05 Feb 2018 16:51:27 +0000
Superseded in bionic-release on 2018-02-08
Deleted in bionic-proposed on 2018-02-10 (Reason: moved to release)
odb-api (0.17.6-2) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * Update VCS field to salsa.debian.org
  * Update watch file
  * Fix install paths: pkgconfig in /usr/lib/@TRIPLET/pkgconfig
     include files to /usr/include/@TRIPLET
  * Set libodb-api-bin as M-A: foreign
  * Add apache NOTICE to libodb-api-dev.docs

 -- Alastair McKinstry <email address hidden>  Wed, 31 Jan 2018 07:15:15 +0000

Available diffs

Superseded in bionic-release on 2018-01-31
Deleted in bionic-proposed on 2018-02-02 (Reason: moved to release)
odb-api (0.17.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <email address hidden>  Sun, 31 Dec 2017 10:56:23 +0000

Available diffs

Superseded in bionic-release on 2017-12-31
Deleted in bionic-proposed on 2018-01-01 (Reason: moved to release)
odb-api (0.17.4-4) unstable; urgency=medium

  * B-D on mpi-default-dev, not libopenmpi-dev.
  * Standards-Version now 4.1.2; no changes required

 -- Alastair McKinstry <email address hidden>  Tue, 19 Dec 2017 12:00:07 +0000

Available diffs

Superseded in bionic-release on 2017-12-20
Deleted in bionic-proposed on 2017-12-22 (Reason: moved to release)
odb-api (0.17.4-3) unstable; urgency=medium

  * Change odb_api-targets-release.cmake refernces from odb -> ecmwf_odb
  * Make libodb-api-dev depend on libodb-api-bin, as the cmake scripts
    depend on the binaries bein present

 -- Alastair McKinstry <email address hidden>  Sat, 11 Nov 2017 11:43:41 +0000

Available diffs

Superseded in bionic-release on 2017-11-22
Deleted in bionic-proposed on 2017-11-23 (Reason: moved to release)
odb-api (0.17.4-2) unstable; urgency=medium

  * Delete ecbuild configuartion info from include files that break
    multi-arch usability and reproducibility
  * Rename odb -> ecmwf_odb to avoid conflict. Closes: #880890
  * Disable duplicate method in DenseMap that breaks build on 32-bit systems
    Closes:  #880966
  * Add namespace to swap call on big-endian systems. Closes: #880968

 -- Alastair McKinstry <email address hidden>  Mon, 06 Nov 2017 17:40:48 +0000

Available diffs

Superseded in bionic-proposed on 2017-11-07
odb-api (0.17.4-1) unstable; urgency=medium

  * New upstream release
  * Close correct bug for ITP. Closes: #873607
  * Standards-Version: 4.1.1
  * Now require libeccodes-dev >= 2.5.0
  * Add ksh depenendency for libodb-api-bin
  * Set DISABLE_OS_CHECK=On. Closes: #880681
  * Sanitise build path in cmake files for reproducibility.
  * Fix for unsigned long convert to size_t on 32-bit systems. Closes: #880680
  * Patch to find libOdb.so.0d in python module via multiarch path

 -- Alastair McKinstry <email address hidden>  Sun, 05 Nov 2017 10:52:13 +0000

Available diffs

Superseded in bionic-release on 2017-11-07
Deleted in bionic-proposed on 2017-11-09 (Reason: moved to release)
odb-api (0.17.1-1) unstable; urgency=medium

  * Initial release. (Closes: #873067)

 -- Alastair McKinstry <email address hidden>  Fri, 01 Sep 2017 11:44:23 +0100
125 of 25 results